<div class="container">
  <form class="example-form" [formGroup]="questionForm" (ngSubmit)="editQuestion()">
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập câu hỏi</mat-label>
      <input matInput placeholder="câu hỏi" formControlName="question" />
      <mat-error *ngIf="questionForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập đáp án 1</mat-label>
      <input matInput placeholder="Đáp án" formControlName="answers1" />
      <mat-error *ngIf="questionForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập đáp án 2</mat-label>
      <input matInput placeholder="Đáp án" formControlName="answers2" />
      <mat-error *ngIf="questionForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập đáp án 3</mat-label>
      <input matInput placeholder="Đáp án" formControlName="answers3" />
      <mat-error *ngIf="questionForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập đáp án 4</mat-label>
      <input matInput placeholder="Đáp án" formControlName="answers4" />
      <mat-error *ngIf="questionForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập đáp án đúng</mat-label>
      <input
        matInput
        placeholder="{1 ,2 ,3, 4}"
        formControlName="correctIndex"
      />
      <mat-error *ngIf="questionForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-select formControlName="subjectID">
        <!-- <mat-option>-- None --</mat-option> -->
        <mat-option *ngFor="let sb of subject" value="{{ sb.id }}"
          >{{ sb.name }}</mat-option
        >
      </mat-select>
      <mat-label
        ><mat-icon>favorite</mat-icon> <b> Môn học</b> <i> môn</i></mat-label
      >
      <mat-error *ngIf="questionForm">lỗi!</mat-error>
    </mat-form-field>

    <button mat-button type="submit" [disabled]="!questionForm.valid">Save</button>
  </form>
  <button mat-button (click)="clearData()">Cancel</button>
</div>

<pre>{{ questionForm.value | json }}</pre>
